<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
 
$clie_id=$_POST['clie_id'];
$ven_id=$_POST['ven_id'];
$saldo=$_POST['saldo'];
$detalle=$_POST['detalle'];
$fecha=date('Y-m-d H:i:s');

$forma_pago=$_POST['forma_pago'];
$valor=$_POST['valor'];

$can=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_numero=$dato['mov_numero']+1;
$can=mysqli_query($con,"SELECT MAX(mov_id)as mov_id  FROM movimientos ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_id=$dato['mov_id']+1;


$sql2=mysqli_query($con, "SELECT * from cliente where clie_id='$clie_id' and empresa='$empresa' ");
$sql2=mysqli_fetch_array($sql2);
$clie_disponible=$sql2['clie_disponible'];
$clie_nombre=$sql2['clie_nombre'];
$clie_nota_credito=$sql2['clie_nota_credito'];
if($forma_pago=='efectivo')
{
    $medio_pago='Efectivo';
}
if($forma_pago=='transferencia')
{
    $medio_pago=$_POST['medio_pago'];
} 
if($forma_pago=='tarjeta')
{
   $medio_pago=$_POST['medio_pago'];

}  
else if($forma_pago=='nota credito')
{
    $medio_pago='Nota credito';

    $nota=$clie_nota_credito-$valor;
    $registros=mysqli_query($con,"UPDATE cliente Set clie_nota_credito='$nota' Where clie_id='$clie_id' and empresa='$empresa'") or die(mysqli_error($con));
    
}  

$suma=$clie_disponible+$valor;
$registros=mysqli_query($con,"UPDATE cliente Set clie_disponible='$suma' Where clie_id='$clie_id' and empresa='$empresa'") or die(mysqli_error($con));

$regis=mysqli_query($con,"INSERT into venta_abonos (veab_abono,forma_pago,medio_pago,veab_fecha,mov_id,usuario,apertura,sucursal,empresa,ventas_ven_id)
     VALUES  ('$valor','$forma_pago','$medio_pago','$fecha','$mov_id','$usu_id','$apertura','$sucursal','$empresa','$ven_id')") or die(mysqli_error($con));

$registros=mysqli_query($con,"INSERT into movimientos (mov_id,mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 

      VALUES  ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Abono cxc','$detalle','$valor','entrada','$forma_pago','$medio_pago','$sucursal','$empresa')") or  die(mysqli_error($con));  

/*$registros=mysqli_query($con,"INSERT into abono_adelantado (abo_clie_id,abo_numero,abo_clie_nombre, abo_fecha,abo_concepto,abo_valor,empresa,movimientos_mov_id) 
      VALUES  ('$clie_id','$abo_numero','$clie_nombre','$fecha','$detalle','$valor','$empresa','$mov_id')") or die(mysqli_error($con)); */ 

echo '<div class="alert alert-success alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong>Abono </strong>Registrado correctamente
</div>';

if(number_format($saldo,0)==number_format($valor,0))
    {
        $sql=mysqli_query($con,"UPDATE ventas Set
                        ven_estado='pagada'
                        Where ven_id='$ven_id'") or die(mysqli_error($con));?>

            <div class="alert alert-info alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong>La Venta ha sido pagada completamente</strong> <a href="#" class="alert-link"></a>
            </div>
<?php } ?>